### Struct

# GVnc PixelFormat

#### Description

    struct VncPixelFormat {
      guint8 bits_per_pixel;
      guint8 depth;
      guint16 byte_order;
      guint8 true_color_flag;
      guint16 red_max;
      guint16 green_max;
      guint16 blue_max;
      guint8 red_shift;
      guint8 green_shift;
      guint8 blue_shift;
    }

No description available.

###### Structure members

`bits_per_pixel:` `guint8`

  No description available.

`depth:` `guint8`

  No description available.

`byte_order:` `guint16`

  No description available.

`true_color_flag:` `guint8`

  No description available.

`red_max:` `guint16`

  No description available.

`green_max:` `guint16`

  No description available.

`blue_max:` `guint16`

  No description available.

`red_shift:` `guint8`

  No description available.

`green_shift:` `guint8`

  No description available.

`blue_shift:` `guint8`

  No description available.

#### Constructors

###### vnc_pixel_format_new

Allocate a new VNC pixel format struct whose contents is initialized to all zeros. The struct must be released using vnc_pixel_format_free when no longer required.

#### Instance methods

###### vnc_pixel_format_copy

Allocate a new VNC pixel format struct whose contents is initialized with the data found in `srcFormat`. The struct must be released using vnc_pixel_format_free when no longer required.

###### vnc_pixel_format_free

Release the memory associated with `format`.

###### vnc_pixel_format_match

No description available.